#!/usr/bin/env bash
set -vuo pipefail

if [[ $# -eq 1 ]] && [[ "$1" = "force" ]]; then
   rm requirements.txt dev-requirements.txt
fi

pip-compile --verbose pyproject.toml
pip-compile --verbose dev-requirements.in
pip-sync --verbose requirements.txt dev-requirements.txt
pip install --editable .
